Subject: Re: [PATCH 1/4] git p4: bring back files in deleted client directory

From: Pete Wyckoff <[email-masked]>
Date: Mon, 30 Apr 2012 17:56:09 -0400

[email-masked] wrote on Mon, 30 Apr 2012 19:34 +0100:
> On 30/04/12 13:36, Pete Wyckoff wrote:
> >[email-masked] wrote on Mon, 30 Apr 2012 07:55 +0100:
> >>
> >>Rebasing the current branch onto remotes/p4/master
> >>First, rewinding head to replay your work on top of it...
> >>File file1 doesn't exist. file1
> >>not ok - 3 submit with no client dir
> >
> >I can't figure it out.  Will you help debug a bit?  Something
> >like this maybe.
> 
> User error.
> 
> % cp git-p4.py git-p4
> 
> Then it works fine.

Whew.  I caught myself forgetting to build a couple
of times too.

"make git-p4" is a bit more official.

> Is there a way to get lib-git-p4.sh to check this?

This does seem appealing, but I'm not sure if it will be
attractive to everybody else.

My thought pattern of what to put in lib-git-p4.sh
went like:

    test git-p4.py -nt git-p4 && {
	echo "You must make git-p4" >&2
	exit 1
    }

to

    test git-p4.py -nt git-p4 && {
	echo "Making git-p4" >&2
	make git-p4
    }

to

    make git-p4

to

    make

and that's when I realized that everybody else has
the same problem too.  Somehow they've gotten used
to rebuilding before rerunning the tests.  I suspect
that we should get used to it too.

That said, it would have saved me some head scratching
on a few occasions.

		-- Pete